from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    k = getTag(e, "kssCrypt")
    if ((k <= 20) or (k >= 50)):
        return 1
    elif (k == 27):
        setTag(e, "kssCrypt", 28)
    elif (k == 35):
        setTag(e, "kssCrypt", 36)
    elif (k == 43):
        setTag(e, "kssCrypt", 44)
    else:
        setTag(e, "kssCrypt", 21)
    return 1
